Introduction

Navigation: »No topics above this level«

Introduction

HeavyLoad is intended to stress all resources of a PC (CPU, GPU, RAM, hard disk, network, operating system etc.) in order to test if it will run reliably under heavy load. This is useful for assessing important file or database servers before using them productively, or simply to ensure your new PC will not overheat or crash when used intensively.

The program also allows testing the behavior of systems under fading system resources (memory, disk space).


Installation

Navigation: »No topics above this level«

Installation

Simply execute the installer and follow the instructions. HeavyLoad can be uninstalled by the Windows Control Panel. Supported Windows versions are Windows 8.1 and later.

Alternatively you can download the portable version of HeavyLoad as a ZIP file from our website. After downloading, you can unpack the archive to any place you want and use HeavyLoad without having to install it.


Quickstart

Navigation: »No topics above this level«

Quickstart

After the installation HeavyLoad may be started using the Windows Start menu or the the desktop icon. We will now explain the most important elements of the HeavyLoad main window:

1.This button starts the test procedure with the previously selected test options.

2.This button stops all test procedures.

3.This button starts all tests with maximum settings.

4.Here you can select the test option(s).

5.In the "Options" dialog, advanced settings such as time limit or used CPU Cores may be set.

6.Choose the update interval for the chart.

7.The status bar shows hints and further information about the tests, e.g. current CPU usage.


Start parameters

Navigation: Quickstart >

Start parameters

HeavyLoad can be called with the following parameters via script or command line.

/START

Starts the test run with the specified test options.

/CPU <n>

Enables the test option "Stress CPU". Optionally n allows to set the number of used CPU cores for the stress CPU test. The maximum value is specified by your system.

/MEMORY <n>

Enables the test option "Allocate memory". Optionally n allows to set the threshold value of available memory in MB.

/FILE <n>

Enables the test option "Write temp file". Optionally n allows to set the threshold value of available disc space in MB.

/TESTFILEPATH <"\path">

Sets the path the temp file will be written to. This parameter can only be used in combination with the /FILE parameter.

/TREESIZE

Enables the test option: Start TreeSize.

/GPU

Enables the test option: Stress GPU.

/DURATION <n>

Specifies the test duration in minutes. If this parameter is not set, the test will run continuously. Defining of n is not optional!

/AUTOEXIT

Terminates the program automatically after the period n received from /DURATION. This parameter can only be used in combination of the /DURATION n Parameter.

/NOGUI

Starts HeavyLoad without user interface. HeavyLoad will only start if the parameter /START and at least one test method is specified. If no maximum runtime is specified, HeavyLoad will run until the program has been terminated manually via the task manager.

Example:

HeavyLoad.exe /CPU 2 /MEMORY 200 /FILE 150 /TESTFILEPATH "D:\Users\exampleuser\AppData\Local\Temp\Test1" /GPU /TREESIZE /DURATION 10 /AUTOEXIT /START


What's new?

Navigation: »No topics above this level«

What's new?

See What's New online.


Test Options

Navigation: »No topics above this level«

Test Options

TestCPU

Full CPU load

This test uses the processor to 100% capacity. For this purpose HeavyLoad performs a complex calculation.

TestWriteFile

Write temp file

HeavyLoad creates a temp file to which it writes data continuously during the test. The data rate at which the test file will be written to disk can be specified in the options dialog.

TestMemory

Allocate Memory

HeavyLoad continuously allocates memory, minimizing the memory available to the system. The data rate at which the memory will be allocated can be specified in the options.

TestTreeSize

Start TreeSize

This test starts an instance of TreeSize Free for each local partition. TreeSize Free will run in a continuous loop until the test is terminated.

TestGPU

Stress GPU

HeavyLoad stresses the selected GPUs (Graphics Processing Units). A rendered 3D graphic will be used to increase the GPU load during the test.


Full CPU load

Navigation: Test Options >

Full CPU load

Target: If this test is started, HeavyLoad will fully load the processor using a complex calculation. This allows to analyze the reliability, stability and the behavior of the system under a heavy load.

Adjustments: In the CPU options dialog, the number of logical processors (physical and virtual cores) to be utilized by HeavyLoad can be set manually via the option "Used logical processors". HeavyLoad automatically detects how many logical processors are available on a system. By default, the maximum number of available processors is used for the test and the processor is therefore fully utilized.

Graphical display: How high the current total processor load is can be read from the displayed line diagram. For this, the option "CPU usage" must be activated in the legend. The value is given in percent. In addition, the exact percentage value of the load is also displayed in the StatusBar at the bottom of the window. The value of the utilization is calculated by all available cores and their current utilization. A value of 100 percent can only be reached if the test is running on all cores.

Note: The current load is calculated even if no test is currently active. Thus, influences on the processor load, e.g. by other programs, can be quickly identified, even during inactive tests.


Write temp file

Navigation: Test Options >

Write temp file

Target: HeavyLoad creates a temporary test file that is continuously written with data to fill the disk space of a drive. This test is used to check how a system behaves when hard disk space is decreasing. A variable limit value can be used to determine how much disk space should remain free. If this limit is reached, HeavyLoad overwrites the file until new disk space is available. The drive whose memory is to be written to is determined by the path under which the test file is created. If no path is specified, HeavyLoad writes the file to the default directory for temporary files under "C:\Users\Username\AppData\Local\Temp" and uses the disk space of drive "C:". Once the test has finished, the file will be deleted automatically.

Adjustments: The test can be customized in the Testfile options dialog. In addition to the path under which the test file is to be created, the data rate in MB/s at which the file is written and the amount of disk space to be left free can be set. The actual maximum value depends on the respective system.

Graphical display: The option "Disk space" in the legend of the line diagram can be used to activate the display of the available hard disk space of the drive to be tested. The value is given in megabytes. While running the test, the current size of the file is shown in the status bar.

Note: Since other programs also use disk space, it can happen that after HeavyLoad has reached the limit, the free disk space falls below the set limit value.


Allocate memory

Navigation: Test Options >

Allocate memory

Target: HeavyLoad continuously reserves memory up to a specified upper limit. This allows the behavior of the system to be simulated as memory becomes scarce.

Adjustments: The "Available memory" option can be used to configure how much memory should not be reserved by HeavyLoad and instead be available for the system. In addition, the speed at which the memory is allocated can be set individually. The speed is specified in MB/s. The actual maximum value depends on the respective system. These settings can be found in the options dialog Memory.

Graphical display: The value of the currently available free memory can be displayed in the line diagram by using the legend option "Available memory". While the test is running, the status bar is also showing how much memory is currently reserved by HeavyLoad and how much memory is still available to the system including standby memory.

The standby memory value indicates how much memory the operating system has reserved for active processes but is currently not using.

Note: Since other programs also use RAM, it can happen that after HeavyLoad has reached the limit value, the free RAM value falls below the set value.


Start TreeSize

Navigation: Test Options >

Start TreeSize

Target: HeavyLoad uses the scan function of TreeSize Free to simulate a high access rate to directories and files on your local hard disks and tests the load capacity of the hard disks. TreeSize Free is executed in an endless loop with predefined start parameters until the test is finished.

Tip: Would you like to know not only how resilient your hard disk is, but also where your disk space has gone? Our free tool TreeSize Free gives you the answer. More information about TreeSize can be found on our website at https://www.jam-software.com/treesize_free.


Test GPU

Navigation: Test Options >

Test GPU

Target: With this test the graphics processing unit can be used to full capacity. A 3D graphic is rendered, which simulates a high load of the GPU.

Adjustments: In the GPU options dialog, you can manually choose which GPU or GPUs you want HeavyLoad to test. The option "Test all available GPUs" overrides the selection above if ticked. By default, the program uses all available GPUs for the stress test.

Graphical display: The displayed line diagram shows the current GPU load in FPS (Frames per Second). For this to be the case, the "Frames per Second" option has to be activated in the legend. The current number is displayed in the status bar while running the test.

Note: The GPU stress test will only work reliably if recent drivers for all chosen GPUs have been installed before. If run on virtual machines or via remote session, this test may produce faulty representations of the 3D component.


Remarks on the test methods

Navigation: Test Options >

Remarks on the test methods

The purpose of HeavyLoad is to put your system under stress to analyze its behaviour and to determine if it runs stable at this utilization.

HeavyLoad is not a benchmarking tool and will not evaluate on how well a system performs in comparison to similar setups.

Please also keep in mind that stress testing a system can always lead to crashes and bluescreens and because of that, important data should be saved before running the tests.

A few hints on telling if a test was successful:

·You should run a test for at least one hour. Usually new issues won't be found if the system is running stable while running the stress test for more than 5 hours.

·If the machine does not show any bad symptoms the load test was successful.

·If the stress test has not been successful, the machine might crash or show a blue screen of death.


Options

Navigation: »No topics above this level«

Options

The "Options" dialog can be opened by clicking on the menu > Options... or on the [image] button and consists of the following tabs:

· CPU

· GPU

· Memory

· Testfile

· Misc


CPU Options

Navigation: Options >

CPU Options

In the "CPU" options tab, "Used CPU cores" and "Thread priority" can be set.

CPU Options

Used logical processors

Allows to set the number of used logical processors for the CPU stress test if the system has more than one. The default number is set to the maximum amount of available processors (physical and virtual cores) on your system.

Thread Options

Thread priority

Allows to define the priority at which the threads are running. This can be used to precisely control the system utilization of HeavyLoad. "Idle" means the CPU will only be used if no other threads are using it. Choosing a higher priority will result in the stress threads having a higher priority than the thread of the user interface, which may result in the user interface being unresponsive during the tests.


GPU Options

Navigation: Options >

GPU Options

In the "GPU" options tab, you can select which GPU(s) you want to use for the stress test.

By default, all GPUs are tested. The option "Test all available GPUs" overrides the selection made under "Used GPU(s)" if enabled.


Memory Options

Navigation: Options >

Memory Options

In the "Memory" tab, the "Threshold" and "Intensity" can be set.

Threshold

Free memory

Defines the threshold value of available memory.

Note: Since other programs also take up memory, the free memory may fall below the set value after HeavyLoad has reached the threshold.

Intensity

Allocate memory speed

Defines the speed (MB/s) at which HeavyLoad will allocate memory.

Note: The actual maximum value depends on your system configuration.


Test File Options

Navigation: Options >

Test File Options

In the "Test File" tab, the "Threshold", "Intensity" and "Test File Path" can be set.

Threshold

Free space

Defines the free space threshold value of your system drive.

Note: As other programs take up disk space, the free disk space may fall below the set value after HeavyLoad has reached the threshold.

Intensity

Test file writing speed

Defines the speed (MB/s) at which the test file is written to the hard disk.

Note: The actual maximum value is specified by your system.

Test File Path

The path where the test file will be saved temporarily.


Misc Options

Navigation: Options >

Misc Options

In the "Misc" tab, "Test Duration" and "Program Settings" can be set.

Test duration

Run test continuously

Runs the selected tests until the user stops them manually.

End test after [value] minute(s)

The selected tests will be stopped automatically after the chosen time period.

Auto exit

Close HeavyLoad automatically after the period from "End test after" has expired.

Program Settings

Restores the program settings to default values.

Command Line options

Creates the command line parameters with the currently used settings and copies them to the clipboard. With [CTRL+V] the created string can be used in CMD.EXE or in a script to start HeavyLoad via command line.


Tips & Annotations

Navigation: »No topics above this level«

Tips & Annotations

·HeavyLoad uses our freeware TreeSize Free in an infinite loop to produce additional activity. Please find additional information about TreeSize under https://www.jam-software.com/treesize_free.

·After running tests with HeavyLoad, your PC's memory will be fragmented and the swap file may have grown quite large. Therefore, we recommend restarting Windows after using HeavyLoad.

·If HeavyLoad has not been terminated normally, e.g. because of an unstable PC or operating system, a large test file may be left in one of the temp directories on your PC. It should be deleted manually.


Copyright & Contact

Navigation: »No topics above this level«

Copyright & Contact

Copyright © 2023 Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

WWW: | https://www.jam-software.com
Support: | https://customers.jam-software.de/contact.php
Email: | HeavyLoad@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder


Translations

Navigation: »No topics above this level«

Translations

We are proud of the popularity of our award-winning disk space management software TreeSize and would love to offer it to everyone in her/his native language. In this way, all our worldwide users can enjoy localized TreeSize software with ease. HeavyLoad is already available in German and English. Thanks to the help of our great volunteer translators we are able to provide these translations:

Czech: Thanks to Trasak Jiri, Lukáš Francálek, Azuráč, Fishbone, and 3 anonymous translators

Danish: Thanks to Erik Marcussen, Svend Heinesen, Thomas Vedel, and 3 anonymous translators

Dutch: Thanks to Jaap Kramer, Kees Bakker, Linda Bijlsma, Leroux, and 4 anonymous translators

French: Thanks to Alexandre Mongin, Simon Martin, Ignace Le Roux, Gaillard S-G, David Dissard, and 6 anonymous translators

Greek: Thanks to GeoVasi69, Prodromos Makridis, and 2 anonymous translators

Hungarian: Thanks to Péter Bálint, Peter Bartfai, and 4 anonymous translators

Japanese: Thanks to Kyotaro Iijima, Tetsuro Shimazaki, and Sriram Iyer

Polish: Thanks to Franciszek, Your Majesty Bartłomiej Rakowiecki, Bartosz Małolepszy (Grodków), Arkadiusz Kurzawa, Łukasz K., and 8 anonymous translators

Russian: Thanks to kopejkin, Polina Morgan, Vladimir Skovoroda, Alexander Vorfolomeev, Temtaime, Gennady Morozov, and 2 anonymous translators

Slovak: Thanks to 5 anonymous translators

Spanish: Thanks to J. M. Fustero, MS-PC, Fabián C. Rodríguez, and 4 anonymous translators

Turkish: Thanks to Oğuzhan Güvercin, Mustafa Tosun, Özgür Dedeoğlu, Metin Yıldıran, Emrecan Ürküt, Pumavun, A.M. Sabuncu, Mert Öz, Mustafa Furkan YILMAZ, and 10 anonymous translators

Vietnamese: Thanks to Nguyễn Lam, Vu Le, Minh Tuyen Nguyen, Đăng Huy, and one anonymous translator

Would you like to help us translate HeavyLoad to your language? Please find more information online.